dcraw(1)

NOMO
dcraw - komand-linia deĉifrilo por krudaj ciferecaj fotoj

RESUMO
dcraw [OPCIO]... [DOSIERO]...

PRISKRIBO
dcraw deĉifras krudajn fotojn, montras pridatumon, kaj eltiras bildetojn.

ĜENERALAJ OPCIOJ

-v  Donu abundajn mesaĝojn, ne nur avertojn kaj erarojn.

-c  Skribu deĉifritajn bild(et)ojn al la ĉefeligujo (stdout).

-e  Eltiru la bildeton generitan de la fotilo, ne la krudan bildon. Estos dosiero aŭ JPEG aŭ PPM, depende de la fotilo.

-z  Por dosiero kruda, TIFF, JPEG, aŭ AVI, ŝanĝu la tempojn de lasta aliro kaj modifo al la tempo de obturado, supozante ke la fotila horloĝo tenas Universalan Tempon.

-i  Identigu dosierojn sed ne deĉifru ilin. Eliru kun 0 se dcraw povas deĉifri la lastan dosieron, aŭ kun 1 se ĝi ne povas. -i -v montras pridatumon.

    dcraw ne povas deĉifri JPEG-dosierojn!!

RIPARAJ OPCIOJ

-I  Legu la krudajn bilderojn el ĉefenigujo (stdin) sen ĉapo en la bajt-ordo de via procesoro. Uzu dcraw -E -4 por havigi la krudajn bilderojn.

-P mortintaj_bilderoj.txt
    Legu la liston de mortintaj bilderoj el tiu ĉi dosiero anstataŭ ".badpixels". Vidu sub DOSIEROJ priskribon de la formato.

-K senlumo.pgm
    Subtrahu senluman bildon de la kruda datumo. Por generi tian bildon, faru jene al senluma kruda foto: dcraw -D -4 -j -t 0.

-k senlumo
    Kiam ombroj aspektas nebulecaj, necesas levi la senluman nivelon. Por mezuri ĝin, apliku pamsumm -mean al la supre generita senluma bildo.

-S saturo
    Kiam brilaĵoj aspektas rozkoloraj, necesas mallevi la saturan nivelon. Por mezuri ĝin, fotu ion brilan kaj faru dcraw -D -4 -j -c foto.raw | pamsumm -max

    La supozaj senlumo kaj saturo plej ofte ĝustas.

-n brua_sojlo
    Uzu ondetojn por forviŝi bruon kaj konservi realan detalon. La plej ĝusta sojlo estu ie inter 100 kaj 1000.

-C ruĝa_grandigo blua_grandigo
    Grandigu la krudajn ruĝan kaj bluan tavolojn je ties faktoroj, tipe inter 0.999 kaj 1.001, por korekti koloran aberacion.

-H 0
    Blankigu ĉiujn brilaĵojn (la supozo).

-H 1
    Lasu brilaĵojn fuksinaj por malkaŝi detalojn.

-H 2
    Miksu limigitajn kaj nelimigitajn valorojn por grade blankigi la brilaĵojn.

-H 3+
    Rekonstruu brilaĵojn. Malaltaj numeraloj favoras blankecon; altaj numeraloj favoras kolorojn. Provu -H 5 kiel kompromison. Se tio ne sufiĉe bonas, faru -H 9, eltranĉu la neblankajn brilaĵojn, kaj gluu ilin en foton generitan per -H 3.

KOLORAJ OPCIOJ
Laŭ supozo, dcraw uzas fiksan blank-ekvilibron bazitan sur kolor-karto lumigita per norma lampo D65.

-w  Uzu la blank-ekvilibron specifitan de la fotilo. Se tio ne troviĝas, avertu kaj uzu alian metodon.

-a  Kalkulu la blank-ekvilibron per averaĝi la tutan bildon.

-A maldekstro supro larĝeco alteco
    Kalkulu la blank-ekvilibron per averaĝi rektangulan areon. Unue faru dcraw -j -t 0 kaj elektu areon de neŭtrala griza koloro.

-r mul0 mul1 mul2 mul3
    Specifu propran blank-ekvilibron. Eblas kopii tiujn ĉi multiplikantojn el la mesaĝoj de dcraw -v.

+M aŭ -M
    Uzu (aŭ ne uzu) iun ajn kolor-matricon el la pridatumo. La supozo estas +M se -w uziĝas, aŭ la foto estas en DNG formato, -M alikaze. Krom DNG, tiu ĉi opcio koncernas nur fotilojn Olympus, Leaf, kaj Phase One.

-o [0-6]
    Elektu la eligotan kolorspacon kiam ne uziĝas la opcio -p : 0 Kruda koloro (unika por ĉiu fotilo)
    1 sRGB D65 (la supozo)
    2 Adobe RGB (1998) D65
    3 Wide Gamut RGB D65
    4 Kodak ProPhoto RGB D65
    5 XYZ
    6 ACES

-p fotilo.icm [ -o eligo.icm ]
    Uzu ICC profilojn por difini la krudan kolorspacon de la fotilo kaj la eligotan kolorspacon (sRGB laŭ supozo).

-p embed
    Uzu la ICC-profilon internan de la kruda foto.

INTERPOLAJ OPCIOJ

-d  Montru la krudan datumon grizskala sen interpolado. Estas bone por foti nigrablankajn dokumentojn.

-D  Same kiel -d, sed kun la originalaj neskalitaj bildero-valoroj.

-E  Same kiel -D, sed kovritaj bilderoj ne estas detranĉitaj.

-h  Eligu duon-grandan koloran bildon. Duoble pli rapide ol -q 0.

-q 0
    Interpolu per simpla bilinia averaĝado.

-q 1
    Interpolu per Variabla Nombro de Gradientoj (VNG).

-q 2
    Interpolu per Ŝablona Bildera Grupigo (PPG).

-q 3
    Interpolu per Adapta Homogena Direkto (AHD).

-f  Interpolu RVB-on kiel kvar kolorojn. Uzu tion ĉi se la eligo montras falsan 2-je-2 reton per VNG aŭ labirinton per AHD.

-m nombro_de_pasoj
    Post interpolado, purigu falsajn kolorojn per ripete apliki medianan filtrilon 3x3 al la kanaloj R-V kaj B-V.

ELIGAJ OPCIOJ
Laŭ supozo, dcraw skribas PGM/PPM/PAM kun 8-bita datumo, la gama-kurbo BT.709, blanka nivelo laŭ histogramo, kaj nenia pridatumo.

-W  Uzu fiksan blankan nivelon, ignorante la bildo-histogramon.

-b heleco
    Dividu la blankan nivelon je tiu ĉi nombron, supoze 1.0.

-g potenco origina_deklivo
    Agordu la gama-kurbon, supoze BT.709 (-g 2.222 4.5). Se vi preferas la kurbon sRGB, uzu -g 2.4 12.92. Origina deklivo "0" donas simplan potencan kurbon.

-6  Skribu 16-bite anstataŭ 8-bite.

-4  Linie 16-bite, same kiel -6 -W -g 1 1.

-T  Skribu TIFF-on kun pridatumo anstataŭ PGM/PPM/PAM.

-t [0-7,90,180,270]
    Turnu la bildon. dcraw supozas apliki la turnon specifitan de la fotilo. -t 0 preventas ian ajn turnadon.

-j  Por fotiloj kun Fuji Super CCD, montru la bildon klinita 45 gradojn. Por fotiloj kun nekvadrataj bilderoj, ne streĉu la bildon al ĝia ĝusta proporcio. Ĉiakaze, tiu ĉi opcio neprigas, ke ĉiu eligata bildero respondos unu krudan bilderon.

-s [0..N-1] aŭ -s all
    Se dosiero enhavas N krudajn bildojn, elektu unu aŭ "all" (ĉiujn) por deĉifri. Ekzemple fotiloj kun Fuji Super CCD SR generas duan bildon, kvar paŝojn pli malhelan, por montri detalojn en la brilaĵoj.

DOSIEROJ

./.badpixels, ../.badpixels, ../../.badpixels, ...
    Listo de mortintaj bilderoj en via fotilo, por ke dcraw interpolu ĉirkaŭ ili. Ĉiu linio specifas la kolumnon, vicon, kaj Uniksan tempon de morto por unu bildero. Ekzemple:

     962   91 1028350000  # mortis inter 1a kaj 4a aŭgusto 2002
    1285 1067 0           # ne scias kiam mortis tiu ĉi bildero

    Tiuj ĉi koordinatoj antaŭas ĉian streĉadon aŭ rotacion, do uzu dcraw -j -t 0 por lokalizi mortintajn bilderojn.

VIDU ANKAŬ
pgm(5), ppm(5), pam(5), pamsumm(1), pnmgamma(1), pnmtotiff(1), pnmtopng(1), gphoto2(1), cjpeg(1), djpeg(1)

AŬTORO
David Coffin, dcoffin heliko cybercom punkto net